Subject: Re: [RFC 4/4] Add cat-blob report pipe from fast-import to remote-helper.

From: Florian Achleitner <[email-masked]>
Date: Wed, 06 Jun 2012 00:17:27 +0200

On Tuesday 05 June 2012 05:07:02 Jeff King wrote:
> Florian, does that mean that making the svn helper start to use
> --cat-blob-fd at all is a potential regression for Windows? 

Actually I don't know. I'm don't know a lot about Windows support in git at 
all. 
I created the pipe, because the current vcs-svn/* code requires it for 
importing svn dumps. I can't explain yet why it requires it.

> The
> fast-import documentation says that the cat-blob output will go to
> stdout now. Does it even work at all now? 

stdout is connected to the parent, while the new pipe connects it's two 
childs..
It works.

> I don't really know or
> understand all of the reasons for cat-blob-fd to exist in the first
> place.

Good point.

> 
> I expect one answer might be "well, the svn remote helper does not work
> at all on Windows already, so there's no regression". But this affects
> all fast-import calls that git's transport-helper makes. Are there
> other ones that use import, and would they be affected by this? 
> 
> For that matter, isn't this a backwards-incompatible change for other
> third-party helpers? Won't they need to respect the new
> GIT_REPORT_FILENO environment variable? Do we need the helper to specify
> "yes, I am ready to handle cat-blob-fd" in its capabilities list?

I think whenever the remote helper uses some specific commands of fast-import 
it needs the cat-blob-fd to read feedback, but I haven't digged into that 
yet..

--
Florian Achleitner